Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Time::tm

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Time::tm

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR

# NAME

Time::tm - internal object used by Time::gmtime and Time::localtime

# SYNOPSIS

Don't use this module directly.

# DESCRIPTION

This module is used internally as a base class by Time::localtime And Time::gmtime functions. It creates a Time::tm struct object which is addressable just like's C's tm structure from time.h; namely with sec, min, hour, mday, mon, year, wday, yday, and isdst.

This class is an internal interface only.

# AUTHOR

Tom Christiansen

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR